Company logoTrust Center Documentation
API v1 ReferenceSubscribers

List update subscribers

Retrieve the people subscribed to this tenant's updates, with their subscription state and the classifications they selected. A null classification value…

GET
/api/v1/subscribers

Retrieve the people subscribed to this tenant's updates, with their subscription state and the classifications they selected. A null classification value means that the subscriber receives all update classifications.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

search?string

Filter subscribers by email

page?integer
Range1 <= value
limit?integer
Range1 <= value

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/subscribers"
{  "subscribers": [    {      "id": "string",      "email": "user@example.com",      "active": true,      "state": "pending",      "classifications": [        {          "id": "string",          "title": "string",          "color": "string"        }      ],      "subscribed_at": "2019-08-24T14:15:22Z",      "unsubscribed_at": "2019-08-24T14:15:22Z",      "last_notified_at": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "page_count": 0  }}

How is this guide?